데이터셋 업로드 조회
curl --request GET \
--url https://forge.coreweave.com/api/distillation/v1/projects/{alias}/datasets/{datasetId}/uploads/{uploadId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://forge.coreweave.com/api/distillation/v1/projects/{alias}/datasets/{datasetId}/uploads/{uploadId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://forge.coreweave.com/api/distillation/v1/projects/{alias}/datasets/{datasetId}/uploads/{uploadId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "append",
"state": "uploading",
"error": "<string>",
"counters": {},
"expires_at": "2023-11-07T05:31:56Z",
"file": {
"name": "<string>",
"size_bytes": 123
},
"upload": {
"method": "PUT",
"url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
},
"validation": {
"validated_bytes": 123,
"validated_lines": 123,
"error_count": 123,
"errors_truncated": true,
"errors": [
{
"line": 123,
"code": "<string>",
"message": "<string>"
}
]
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "Project 'missing' not found in entity 'your-team'",
"type": "not_found"
}
}데이터셋 업로드 조회
GET
/
projects
/
{alias}
/
datasets
/
{datasetId}
/
uploads
/
{uploadId}
데이터셋 업로드 조회
인증
wandb API 키 또는 wandb JWT. 브라우저 세션은 Model Distillation 웹 앱 백엔드에서 교환하며, 작업 권한은 내부에서만 사용됩니다.
헤더
액세스 가능한 개인 또는 팀 entity. 인증된 사용자의 기본 entity를 사용하려면 생략하세요.
응답
업로드 정보와 최대 100개의 오류를 반환하며, 파일을 아직 전송하지 않은 경우 새 업로드 URL도 반환합니다.
사용 가능한 옵션:
append, upsert complete가 호출될 때까지는 uploading 상태이며, 워커가 모든 줄을 확인하는 동안에는 queued 및 validating 상태입니다. 행이 데이터셋에 추가되면 committed 상태가 됩니다.
사용 가능한 옵션:
uploading, queued, validating, committed, failed, cancelled, expired 커밋 후: rows, created, updated, revision, entry_counts.
Show child attributes
Show child attributes
업로드가 진행 중일 때 파일을 전송할 위치입니다. complete가 호출되면 null입니다.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
마지막 수정일 2026년 10월 8일
이 페이지가 도움이 되었나요?